bad_headers = ["Keep-Alive", "Set-Cookie", "X-Powered-By", "Server", "Expires", "Cache-Control", "Pragma", "Age", "ETag", "Vary", "Strict-Transport-Security", "Alt-Svc", "Content-Security-Policy", "Feature-Policy", "X-Content-Type-Options", "X-Download-Options", "X-Frame-Options", "X-Permitted-Cross-Domain-Policies", "X-XSS-Protection", "Referrer-Policy", "CF-Cache-Status", "cf-request-id", "Expect-CT", "Report-To", "NEL", "CF-RAY"]

def response(flow):

	flow.response.http_version = "HTTP/1.1"
	flow.response.headers["Connection"] = "close"

	for a in bad_headers:
		if a in flow.response.headers:
			flow.response.headers.pop(a, None)

	flow.response.raw_content = flow.response.content
	flow.response.headers["Content-Encoding"] = "identity"
	flow.response.headers["Transfer-Encoding"] = "identity"
	flow.response.headers["Content-Length"] = str(len(flow.response.content))
